Description

Some users want to use the app to test web proxy performance and therefore want to specify a proxy per input.

History

#1 - 03/18/2014 09:48 PM - Luke Murphey

- Target version set to 1.0

#2 - 03/18/2014 09:49 PM - Luke Murphey

- Tracker changed from Bug to Feature

#3 - 03/18/2014 10:10 PM - Luke Murphey

| can think of several ways to support this:
1. Allow a proxy to be defined in inputs.conf
Pros:
e easy to see association between proxy configuration and input
Cons:
¢ allows proxy settings to be set in two places
2. Allow proxies to be defined in website_monitoring.conf where the stanza name would need to match the associated input stanza
Pros:
¢ simplest to implement
Cons:
e would need to repeat proxy settings for multiple inputs if multiple inputs share the same proxy
3. Allow proxies to be defined in website_monitoring.conf where the stanza name would need to be associated with the input
Pros:

® proxy configurations are in the same place
e easy to use the same proxy server without having repeat entries
#4 - 03/18/2014 10:23 PM - Luke Murphey

I'm leaning towards option 3. It would work like this:

You would set your proxy servers as stanzas in website_monitoring.conf:

[proxy_california]
Proxy_server=ca.proxy.acme.com
proxy_port=8080
proxy_type=http

[proxy_illinois]
proxy_server=il.proxy.acme.com
proxy_port=8080
proxy_type=http

Then you would associate the proxy servers with the input:

[web_ping://ca_proxy]

interval = 15s

title = SomeWebsite

url = http://SomeWebsite.com
configuration=proxy_california

[web_ping://no_proxy]
interval = 15s

title = SomeWebsite

url = http://SomeWebsite.net
configuration=proxy_illinois

#5 - 03/19/2014 04:09 PM - Luke Murphey

See Using_multiple_proxies

#6 - 03/19/2014 04:50 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100
https://lukemurphey.net/projects/splunk-website-monitoring/wiki/Using_multiple_proxies
http://www.tcpdf.org

